#ifndef _FSTREAM_
   #include <fstream>
#endif

#ifndef _IOSTREAM_
   #include <iostream>
#endif

#ifndef _EXCEPTION
   #include <exception>
#endif

#ifndef _PHYSMEM_
   #include "physmem.hpp"
#endif

using namespace std;


//-----------------------------------------------------------------------------
void main ()
{
try
{



   PhysicalMemory aMemory (0xF0000, 16000, true);

   char * vMem = new char [16000];
   aMemory.readMemoryBlock ( vMem, 16000);
   std::cout << "memory mapped" << std::endl;
   ofstream f ("bios.bin", ios::out | ios::binary);
   f.write (vMem, 16000);
   f.flush ();
   delete [] vMem;

} // endtry
catch ( exception & exc)
{
  cerr << exc.what() << endl;
} // endcatch
} // end main ()